package nowosci;

import static javax.swing.JOptionPane.*;

public class SwitchExpression {

	public static void main(String[] args) {
		String miesiac = showInputDialog("Podaj nazwę miesiąca");
		
		int ileDni = switch(miesiac.toLowerCase()) {
			case "styczeń", "marzec", "maj", "lipiec", "sierpień", "październik", "grudzień" -> 31;
			case "kwiecień", "czerwiec", "wrzesień", "listopad" -> 30;
			case "luty" -> {
				int taknie = showConfirmDialog(null,
						"Czy rok jest przestępny", "Pytanko", YES_NO_OPTION);
				if(taknie == YES_OPTION) {
					yield 29;
				} else {
					yield 28;
				}
			}
			default -> 0;
		};
		
		showMessageDialog(null, miesiac + " ma " + ileDni + " dni");

	}

}
